album_api_version: 0.5.1
args:
- description: Path to directory containing STL or OBJ mesh files
  name: input
  type: directory
- description: Path for storing the rendering
  name: output_rendering
- description: Path for storing the Blender project for rendering
  name: output_blend
- default: 100
  description: Resolution of rendering (integer value from 1 - 100)
  name: resolution_percentage
  type: integer
- default: 1.0
  description: Decimation ratio of the mesh (float, 0-1)
  name: decimate_ratio
  type: float
changelog: '- initial prelease

  '
cite:
- text: 'Blender Online Community: Blender - a 3D modelling and rendering package
    (2018). Stichting Blender Foundation, Amsterdam.'
  url: http://www.blender.org
covers:
- description: "This rendering was generated based on data from the following publication:\
    \ Andreas M\xFCller, Deborah Schmidt, C. Shan Xu, Song Pang, Joyson Verner D\u2019\
    Costa, Susanne Kretschmar, Carla M\xFCnster, Thomas Kurth, Florian Jug, Martin\
    \ Weigert, Harald F. Hess, Michele Solimena; 3D FIB-SEM reconstruction of microtubule\u2013\
    organelle interaction in whole primary mouse \u03B2 cells. J Cell Biol 1 February\
    \ 2021; 220 (2): e202010039. doi: https://doi.org/10.1083/jcb.202010039"
  source: cover.png
description: This solution imports STL or OBJ files into the same scene, optionally
  reduces their mesh complexity and renders the scene.
group: de.mdc-berlin
name: blender-import-meshes
solution_creators:
- Deborah Schmidt
timestamp: '2023-01-03T01:32:40.296641'
title: Generate Blender scene from mesh files
version: 0.1.0-SNAPSHOT
